<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2012 Oleh Radvanskyj -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:output method="html" encoding="UTF-8" />

	<!-- diagrams -->
	
   <xsl:template match="function/diagrams | test-procedure/diagrams | interface/diagrams | class/diagrams | constructor/diagrams | destructor/diagrams | method/diagrams">
		<xsl:apply-templates select="diagram" />
   </xsl:template>
  
  <xsl:template match="function/diagrams/diagram | test-procedure/diagrams/diagram | interface/diagrams/diagram | class/diagrams/diagram | constructor/diagrams/diagram | destructor/diagrams/diagram | method/diagrams/diagram">
	<xsl:choose>
		<xsl:when test="@id"><h4 id="{@id}" onclick="toggleTag('{generate-id(.)}')">Diagram : <xsl:value-of select="@name" /></h4></xsl:when>
		<xsl:otherwise><h4 id="{generate-id(.)}-header" onclick="toggleTag('{generate-id(.)}')">Diagram : <xsl:value-of select="@name" /></h4></xsl:otherwise>
	</xsl:choose>
    <img id="{generate-id(.)}" alt="{@name}" src="{@image}" />
  </xsl:template>
	
</xsl:stylesheet>
